#if !defined(AFX_USERVALUEDLG_H__46D028E7_5A10_11D3_8B36_00902712C9AE__INCLUDED_)
#define AFX_USERVALUEDLG_H__46D028E7_5A10_11D3_8B36_00902712C9AE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// UserValueDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CUserValueDlg dialog

#include "HFPreview.h"

class CUserValueDlg : public CDialog
{
// Construction
public:
	CUserValueDlg(CWnd* pParent = NULL);   // standard constructor
	CHFPreview *Owner;
	int *IVal;
	// Dialog Data
	//{{AFX_DATA(CUserValueDlg)
	enum { IDD = IDD_USERVALUE };
	CSliderCtrl	m_ValSli;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CUserValueDlg)
	public:
	virtual int DoModal(CHFPreview *wnd,int *ipt);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CUserValueDlg)
	virtual void OnOK();
	virtual void OnCancel();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_USERVALUEDLG_H__46D028E7_5A10_11D3_8B36_00902712C9AE__INCLUDED_)
